> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update sponsorship collection

> UpdateSponsorshipCollection

 Updates a sponsorship_collection.



## OpenAPI

````yaml patch /monetization/ads/v1/sponsorship_collections/{sponsorship_collection_id}
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /monetization/ads/v1/sponsorship_collections/{sponsorship_collection_id}:
    patch:
      tags:
        - AdService
      description: |-
        UpdateSponsorshipCollection

         Updates a sponsorship_collection.
      operationId: AdService_UpdateSponsorshipCollection
      parameters:
        - name: sponsorship_collection_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/motto.monetization.ads.v1.UpdateSponsorshipCollectionRequest
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/motto.monetization.ads.v1.UpdateSponsorshipCollectionResponse
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.monetization.ads.v1.UpdateSponsorshipCollectionRequest:
      required:
        - sponsorship_collection_id
        - project_id
      type: object
      properties:
        sponsorship_collection_id:
          type: string
        project_id:
          type: string
        sponsorship_collection:
          $ref: '#/components/schemas/motto.monetization.ads.v1.SponsorshipCollection'
        update_mask:
          type: string
          format: field-mask
    motto.monetization.ads.v1.UpdateSponsorshipCollectionResponse:
      type: object
      properties:
        sponsorship_collection:
          $ref: '#/components/schemas/motto.monetization.ads.v1.SponsorshipCollection'
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.monetization.ads.v1.SponsorshipCollection:
      required:
        - id
        - project_id
        - name
      type: object
      properties:
        id:
          type: string
          description: >-
            A unique identifier for the sponsorship collection. This can be set
            manually, or auto-generated if left empty.
        project_id:
          type: string
        name:
          type: string
          description: >-
            A name for visual identification within the management UI. Does not
            appear towards end users.
        slots:
          type: array
          items:
            $ref: '#/components/schemas/motto.monetization.ads.v1.SponsorshipSlot'
          description: >-
            A list of sponsorship slots that should be included in this
            sponsorship collection.
             The order of this list determines the order in which the sponsorship slots are displayed towards end users.
        visibility:
          enum:
            - VISIBILITY_UNSPECIFIED
            - VISIBILITY_PUBLISHED
            - VISIBILITY_UNLISTED
            - VISIBILITY_HIDDEN
          type: string
          format: enum
      description: >-
        SponsorshipCollection represents a collection of sponsorship slots that
        can be displayed in one of various layouts on an end-user facing web/app
        page.
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    motto.monetization.ads.v1.SponsorshipSlot:
      type: object
      properties:
        asset_id:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of either an image assets. The key is the language code (ISO
            639 - set 1), e.g. "en", "de", "fr", etc.
             If you want to localize the assets for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
        destination_url:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of localized destination URLs. The key is the language code
            (ISO 639 - set 1), e.g. "en", "de", "fr", etc.
             If you want to localize the URL for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
      description: >-
        Sponsorship slot represents a single sponsorship image that can be
        displayed on an end-user facing web/app page.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````